# Dokumentation

Dies ist die Dokumentation von STSG.

## Installation

```sh
python3 -m venv .venv
source .venv/bin/activate
pip install -e .
```

## Programm ausführen

Um einen lokalen http server zu starten kann folgender Befehl ausgeführt werden:

```
python3 -m http.server 1312
```

Dann ist die Seite auf `localhost:1312` zu finden

Man kann die Seite entweder normal bauen mit `stsg` oder mit `stsg_dev` einen hot reload server starten.

## Favicon bauen

Dies ist einfach nur ein hilfreiches Skript um favicons zu erstellen. Dies ist nicht unbedingt notwendig. Aber bei verwendung muss inkscape und imagemagick installiert sein.

```
cd src/static/assets
inkscape -w 16 -h 16 -o 16.png logo.svg
inkscape -w 32 -h 32 -o 32.png logo.svg
inkscape -w 48 -h 48 -o 48.png logo.svg

convert 16.png 32.png 48.png ../icon.ico
```
